From b5609f86cadb7f1ce80640a1ec3322ef9f9b2bb2 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 10 2020 06:44:23 +0000
Subject: [PATCH 240/2232] Add UniquePtr test


---

diff --git a/tests/unique_ptr.rs b/tests/unique_ptr.rs
new file mode 100644
index 0000000..e5eb66b
--- /dev/null
+++ b/tests/unique_ptr.rs
@@ -0,0 +1,8 @@
+use cxx::{CxxString, UniquePtr};
+
+#[test]
+#[should_panic = "called deref on a null UniquePtr<CxxString>"]
+fn test_deref_null() {
+    let unique_ptr = UniquePtr::<CxxString>::null();
+    let _: &CxxString = &unique_ptr;
+}

